/* (C) 2018 King Kevin <kingkevin@cuvoodoo.info>
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 */
/* Library to decode IR NEC transmissions.
 * More information about the protocol at http://www.sbprojects.com/knowledge/ir/nec.php
 */

/* an IR NEC code */
struct nec {
	bool valid; /*< if the code is valid (other fields must be ignored) */
	bool repeat; /*< if tis is a repeat code (no address or command is present) */
	uint8_t address; /*< code address */
	uint8_t command; /*< code command */ 
};

/* decode the mark/space duration to NEC code
 * @param[in] burst the mark/space pulses (mark on even index, space on odd index)
 * @param[in] pulses numbers of pulses
 * @return decoded NEC code
 */
struct nec nec2data(const uint16_t* burst, uint8_t pulses);
