/* (C) 2018 King Kevin <kingkevin@cuvoodoo.info>
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 */
/* This is the main part of the remote torch controller.
 * It handles all peripherals (IR, serial, torch light)
 */
// get array size
#define COUNT_OF(x) ((sizeof(x)/sizeof(0[x])) / ((size_t)(!(sizeof(x) % sizeof(0[x])))))
//#define DEBUG // enable UART TX to debug

// peripheral I/O pins
#define IR PB2 /* IR receiver */
#define TX PB1 /* UART transmit output */
#define LED PB0 /* status LED */
#define TORCH PB3 /* n-MOS controlling the torch light */

/* switch LED on */
void led_on(void);
/* switch LED off */
void led_off(void);
/* toggle LED */
void led_toggle(void);
